import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetAddressTypeForViewDto, AddressTypeDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewAddressTypeModal',
    templateUrl: './view-addressType-modal.component.html'
})
export class ViewAddressTypeModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetAddressTypeForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetAddressTypeForViewDto();
        this.item.addressType = new AddressTypeDto();
    }

    show(item: GetAddressTypeForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
